summaryrefslogtreecommitdiff
path: root/nonsystemd/device-mapper-openrc/dmeventd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/device-mapper-openrc/dmeventd.initd')
-rw-r--r--nonsystemd/device-mapper-openrc/dmeventd.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/nonsystemd/device-mapper-openrc/dmeventd.initd b/nonsystemd/device-mapper-openrc/dmeventd.initd
new file mode 100644
index 000000000..746470418
--- /dev/null
+++ b/nonsystemd/device-mapper-openrc/dmeventd.initd
@@ -0,0 +1,25 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+PIDFILE=/run/dmeventd.pid
+BIN=/usr/bin/dmeventd
+
+depend() {
+ # As of .67-r1, we call ALL lvm start/stop scripts with --sysinit, that
+ # means dmeventd is NOT notified, as it cannot be safely running
+ after lvm device-mapper
+}
+
+start() {
+ ebegin "Starting dmeventd"
+ start-stop-daemon --start --exec $BIN --pidfile $PIDFILE
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dmeventd"
+ start-stop-daemon --stop --exec $BIN --pidfile $PIDFILE
+ eend $?
+}
+